@if (formGroup) {
  <div class="form-grid m-b-10" [formGroup]="formGroup">
    @for (field of searchForm.fields; track field) {
      <div class="flex">
        <sqtm-core-label [text]="field.label | translate"></sqtm-core-label>
        @if (
          field.rendering?.inputType?.configuration['help-message'] &&
          this.isTooltipDisplayed(field)
        ) {
          <i
            nz-icon
            [nzType]="'sqtm-core-generic:help'"
            class="tooltip-icon action-icon-size m-l-10 current-workspace-button"
            nz-tooltip
            nzTooltipTitle="{{
              field.rendering.inputType.configuration['help-message']
            }}"
          ></i>
        }
      </div>
      <sqtm-app-remote-issue-widget
        [attr.data-test-element-id]="field.id"
        [attr.data-test-field-id]="field.id"
        [formGroup]="formGroup"
        [field]="field"
        [hasFocus]="field.id === searchForm.focusedField"
      >
      </sqtm-app-remote-issue-widget>
    }
  </div>
}
<div class="flex-row full-width m-t-6 m-b-15">
  <button
    nz-button
    nzType="primary"
    class="m-auto"
    [hidden]="!$shouldDisplaySearchButton()"
    (click)="searchForIssue()"
    [nzLoading]="loading"
    [attr.data-test-element-id]="'search-button'"
    [attr.data-test-dialog-button-id]="'search-button'"
  >
    {{ 'sqtm-core.generic.label.research' | translate }}
  </button>
</div>
@if (!loading && foundRemoteIssue == null && !errorMessage) {
  {{ 'sqtm-core.generic.label.no-result' | translate }}
}

@if (errorMessage) {
  <div class="error-message m-t-6 m-b-10">
    {{ errorMessage }}
  </div>
}
